
Summary: Apache Portable Runtime Utility library
Name: apr-util
Version: 0.9.5
Release: 0.2
License: Apache Software License
Group: System Environment/Libraries
URL: http://apr.apache.org/
Source0: %{name}-%{version}.tar.gz
Source1: LICENSE
Patch0: apr-util-0.9.3-deplibs.patch
Patch1: apr-util-0.9.3-config.patch
Patch2: apr-util-0.9.3-db4.patch
Patch3: apr-util-0.9.3-crypt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildPrereq: autoconf, libtool, doxygen, apr-devel
BuildPrereq: openldap-devel, gdbm-devel, db4-devel, expat-devel
Conflicts: subversion < 0.20.1-2

%description
The mission of the Apache Portable Runtime (APR) is to provide a
free library of C data structures and routines.  This library
contains additional utility interfaces for APR; including support
for XML, LDAP, database interfaces, URI parsing and more.

%package devel
Group: Development/Libraries
Summary: APR utility library development kit
Requires: apr-util = %{version}, apr-devel
Requires: openldap-devel, gdbm-devel, db4-devel, expat-devel
Conflicts: subversion-devel < 0.20.1-2

%description devel
This package provides the support files which can be used to 
build applications using the APR utility library.  The mission 
of the Apache Portable Runtime (APR) is to provide a free 
library of C data structures and routines.

%prep
%setup -q
%patch0 -p1 -b .deplibs
#%patch1 -p1 -b .config
# This patch is wrong, at least for Redhat 8.0/9.0 and apr 0.9.4 (apache 2.0.46).
#%patch2 -p1 -b .db4
%patch3 -p1 -b .crypt

%define apuver 0

%build
autoheader && autoconf
%configure --with-apr=%{_prefix} \
        --includedir=%{_includedir}/apr-%{apuver} \
        --with-ldap
make %{?_smp_mflags} && make dox

# Run the less verbose tests
%define tests testmd5 testrmm teststrmatch testuri testuuid
cd test; make %{tests}
for t in %{tests}; do ./${t} || exit 1; done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Documentation
cp $RPM_SOURCE_DIR/LICENSE .
mv docs/dox/html html

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/aprutil.exp

# Hack apu-config and /usr/lib/libdb-4.2.la to have correct -ldb-4.2.
sedscript='sed -e s/-ldb/-ldb-4.2/'

$sedscript < $RPM_BUILD_ROOT/usr/bin/apu-config > $RPM_BUILD_ROOT/usr/bin/apu-config.new && mv $RPM_BUILD_ROOT/usr/bin/apu-config.new $RPM_BUILD_ROOT/usr/bin/apu-config && chmod a+x $RPM_BUILD_ROOT/usr/bin/apu-config

$sedscript < $RPM_BUILD_ROOT/usr/lib/libaprutil-0.la > $RPM_BUILD_ROOT/usr/lib/libaprutil-0.la.new && mv $RPM_BUILD_ROOT/usr/lib/libaprutil-0.la.new $RPM_BUILD_ROOT/usr/lib/libaprutil-0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{_libdir}/libaprutil-%{apuver}.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/apu-config
%{_libdir}/libaprutil-%{apuver}.*a
%{_libdir}/libaprutil-%{apuver}.so
%{_includedir}/apr-%{apuver}/*.h
%doc --parents html

%changelog
* Fri Feb 27 2004 David Summers <david@summersoft.fay.ar.us> 0.9.5-0.2
- Rebuilt on WhiteBox Enterprise Linux.
- Hacked apu-config and /usr/lib/libdb-4.2.la to have correct -ldb-4.2.

* Sat Nov 01 2003 David Summers <david@summersoft.fay.ar.us> 0.9.5-0.1
- Updated to 0.9.5 (apache 2.0.48).

* Sat Jun 28 2003 David Summers <david@summersoft.fay.ar.us> 0.9.4-0.1
- Ported to apr-util 0.9.4 (apache 2.0.46).

* Tue May 20 2003 Joe Orton <jorton@redhat.com> 0.9.3-6
- fix to detect crypt_r correctly (CAN-2003-0195)

* Thu May 15 2003 Joe Orton <jorton@redhat.com> 0.9.3-5
- fix to try linking against -ldb first (#90917)
- depend on openldap, gdbm, db4, expat appropriately.

* Tue May 13 2003 Joe Orton <jorton@redhat.com> 0.9.3-4
- rebuild

* Wed May  7 2003 Joe Orton <jorton@redhat.com> 0.9.3-3
- make devel package conflict with old subversion-devel
- run the less crufty parts of the test suite

* Tue Apr 29 2003 Joe Orton <jorton@redhat.com> 0.9.3-2
- run ldconfig in post/postun

* Mon Apr 28 2003 Joe Orton <jorton@redhat.com> 0.9.3-1
- initial build
